//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
//                                                                             //
//                          ->>> Go Ahead Baby <<<-                            //
//                                                                             //
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
extern string     BuySymbol               = "GBPUSDm";
extern string     SellSymbol              = "EURUSDm";
extern bool       SwapMode                = false;
extern double     Lots                    = 1.0;
extern double     TP2Close                = 30;
extern int        MagicNo                 = 111;                 
extern string     OrdComment              = "Kiss Me Baby";
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
double TotalCurProfit()
   {   
      double MyCurrentProfit=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderMagicNumber()==MagicNo)
         {
            MyCurrentProfit+= OrderProfit();
         }   
      }
      return(MyCurrentProfit);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
double TotalSwapnProfit()
   {   
      double MyCurrentProfit=0,CurSwap=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderMagicNumber()==MagicNo)
         {
            MyCurrentProfit+= OrderProfit();
            CurSwap+= OrderSwap();
         }   
      }
      return(MyCurrentProfit+CurSwap);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
int SellFloating(string symbol)
   {   
      int floating=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderSymbol()==symbol && OrderMagicNumber()==MagicNo && OrderType()==OP_SELL)
         {
            floating  += 1;
         }   
      }
      return(floating);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
int BuyFloating(string symbol)
   {   
      int floating=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderSymbol()==symbol && OrderMagicNumber()==MagicNo && OrderType()==OP_BUY)
         {
            floating  += 1;
         }   
      }
      return(floating);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
int start()
  {   
   int SellSP=MarketInfo(SellSymbol, MODE_SPREAD);
   int BuySP=MarketInfo(BuySymbol, MODE_SPREAD);
   
   double SellPrice=MarketInfo(SellSymbol,MODE_BID);
   double closesell=MarketInfo(SellSymbol,MODE_ASK);
   
   double BuyPrice=MarketInfo(BuySymbol,MODE_ASK);
   double closebuy=MarketInfo(BuySymbol,MODE_BID);
   
      //-*-*-*-*-*-*-*-*-
      if(SellFloating(SellSymbol)<1)
      {RefreshRates();
       int ticket1=OrderSend(SellSymbol,OP_SELL,Lots,SellPrice,SellSP,0,0,OrdComment,MagicNo,0,Crimson);
      }
      if(BuyFloating(BuySymbol)<1)
      {RefreshRates();
       int ticket2=OrderSend(BuySymbol,OP_BUY,Lots,BuyPrice,BuySP,0,0,OrdComment,MagicNo,0,Goldenrod);
      }
      //-*-*-*-*-*-*-*-*-
      if(ticket1>0 || ticket2>0)PlaySound("news.wav");
      //-*-*-*-*-*-*-*-*- 
   if(TotalCurProfit()>TP2Close
      || (SwapMode==true && TotalSwapnProfit()>TP2Close)
      )     
   {
      for(int i=OrdersTotal()-1;i>=0;i--)
      {
         if(OrderSelect(i, SELECT_BY_POS,MODE_TRADES))
         {
            if (OrderMagicNumber()==MagicNo)
            {  
               bool SResult,BResult;
               //********
                 RefreshRates();
                 BResult = OrderClose(OrderTicket(),OrderLots(),closebuy,BuySP,MediumVioletRed);                    
                 RefreshRates();
                 SResult = OrderClose(OrderTicket(),OrderLots(),closesell,SellSP,MediumVioletRed);
               
               //********
               if(BResult == false || SResult==false)
               Print("Order ",OrderTicket()," failed to close. Error:",GetLastError());
               else PlaySound("blink.wav");
               //********
            }
         }   
      }
   }   
      //-*-*-*-*-*-*-*-*-
   return(0);
  }
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//

